<?php
class Auditoria{
    private $idAuditoria;
    private $UsuarioCadastro;
    private $UsuarioModificacao;
    private $dtCadastro;
    private $dtModificacao;
    private $Historico;
    private $ultAcao;
    
    public function __construct($idAuditoria = "") {
        $this->idAuditoria = $idAuditoria;
    }
    
    public function getIdAuditoria(){
        return $this->idAuditoria;
    }
    public function setIdAuditoria($id){
        $this->idAuditoria = $id;
    }
    
    public function getUsuarioCadastro(){
        return $this->UsuarioCadastro;
    }
    public function setUsuarioCadastro(Usuario $objUsuario){
        $this->UsuarioCadastro = $objUsuario;
    }
    
    
    public function getUsuarioModificacao(){
        return $this->UsuarioModificacao;
    }
    public function setUsuarioModificacao(Usuario $objUsuario){
        $this->UsuarioModificacao = $objUsuario;
    }
    
    
    public function getDtCadastro(){
        return $this->dtCadastro;
    }
    public function setDtCadastro($dt){
        $this->dtCadastro = $dt;
    }
    
    public function getDtModificacao(){
        return $this->dtModificacao;
    }
    public function setDtModificacao($dt){
        $this->dtModificacao = $dt;
    }
    
    public function getHistorico(){
        return $this->Historico;
    }
    public function setHistorico($historico){
        $this->Historico = $historico;
    }
    
    public function getUltAcao(){
        return $this->ultAcao;
    }
    public function setUltAcao($ultacao){
        $this->ultAcao = $ultacao;
    }
}